ACPI: I/O resource w83627ehf [0x295-0x296] conflicts with ACPI region HWRE [0x290-0x299]

Bug #382211 reported by Bruce Miller on 2009-05-31
124
This bug affects 24 people
Affects Status Importance Assigned to Milestone
linux (Debian)
Invalid
Undecided
Unassigned
linux (Ubuntu)
Low
Unassigned
linux (Ubuntu Linaro Evaluation Build)
Undecided
Unassigned

Bug Description

Binary package hint: lm-sensors

bruce@Xenophon:~$ uname -a
Linux Xenophon 2.6.30-6-generic #7-Ubuntu SMP Fri May 22 05:15:10 UTC 2009 x86_64 GNU/Linux
bruce@Xenophon:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu karmic (development branch)
Release: 9.10
Codename: karmic
bruce@Xenophon:~$ sensors
No sensors found!
Make sure you loaded all the kernel drivers you need.
Try sensors-detect to find out which these are.

After running sensors-detect as root and answering all questions with default reply, I replied yes to add proposed extra modules automatically to /etc/modules.conf and also attempted to load them manually using modprobe:

bruce@Xenophon:~$ sudo modprobe w83627ehf coretemp
FATAL: Error inserting w83627ehf (/lib/modules/2.6.30-6-generic/kernel/drivers/hwmon/w83627ehf.ko): Unknown symbol in module, or unknown parameter (see dmesg)

Last several lines of dmesg:
[82597.476108] CPU0 attaching NULL sched-domain.
[82597.476115] CPU1 attaching NULL sched-domain.
[82597.492095] CPU0 attaching sched-domain:
[82597.492100] domain 0: span 0-1 level MC
[82597.492104] groups: 0 1
[82597.492111] CPU1 attaching sched-domain:
[82597.492114] domain 0: span 0-1 level MC
[82597.492117] groups: 1 0
[85415.292256] i801_smbus 0000:00:1f.3: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[85420.668082] i2c /dev entries driver
[85620.177774] w83627ehf: Unknown parameter `coretemp'

Dimitrios Symeonidis (azimout) wrote :

re-assigning to linux, this is the kernel module at fault here

btw, is this still an issue for you?

affects: lm-sensors (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete

I still have the problem, although the error message has changed a bit

FATAL: Error inserting w83627ehf (/lib/modules/2.6.31-9-generic/kernel/drivers/hwmon/w83627ehf.ko): Device or resource busy

and dmesg

[35456.394226] i2c /dev entries driver
[35586.266953] w83627ehf: Unknown parameter `coretemp'
[35611.727206] w83627ehf: Found W83627DHG chip at 0x290
[35611.727240] ACPI: I/O resource w83627ehf [0x295-0x296] conflicts with ACPI region HWRE [0x290-0x299]
[35611.727243] ACPI: Device needs an ACPI driver
[35932.455042] w83627ehf: Found W83627DHG chip at 0x290
[35932.455106] ACPI: I/O resource w83627ehf [0x295-0x296] conflicts with ACPI region HWRE [0x290-0x299]
[35932.455109] ACPI: Device needs an ACPI driver

Dimitrios Symeonidis (azimout) wrote :

switching back to new, updated title

summary: - lm-sensors appears not to work in Karmic Alpha 1
+ ACPI: I/O resource w83627ehf [0x295-0x296] conflicts with ACPI region
+ HWRE [0x290-0x299]
Changed in linux (Ubuntu):
status: Incomplete → New
Tim Lunn (darkxst) wrote :

having this problem in Karmic alpha 6 with the latest kernel installed.

Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
Changed in linux (Fedora):
status: Unknown → Confirmed
Dimitrios Symeonidis (azimout) wrote :

Confirmed, Importance Low.
Added Redhat bug watch.
Upstream Linux has it marked as "won't fix", seems like a bios bug?
http://bugzilla.kernel.org/show_bug.cgi?id=13571

Tim Lunn (darkxst) wrote :

according to the redhat bug report above there is an ACPI driver that will access these sensors on the asus boards.

'asus_atk0110'

kernel module loads fine and the sensors show up in /sys/class/hwmon/

However it requires lm-sensors >= 3.1.0, Karmic is currently at 3.0.2

Joe Werther (werthj) wrote :

Should I open a bug to port the newer versions to lm-sensors to Karmic? Or are they too nascent.

Tim Lunn (darkxst) wrote :

There is an open bug here re merge of 3.1 to karmic
https://bugs.launchpad.net/ubuntu/+source/lm-sensors-3/+bug/336418

Tim Lunn (darkxst) wrote :

lm sensors 3.1 is now in Karmic.

using the asus_atk0110 driver works fine now!

However sensors-detect does not find it, so just need to manually add it to the modules file.

Terrific! Thank you.

-Joe

On Mon, Sep 28, 2009 at 2:18 AM, Tim <email address hidden> wrote:

> lm sensors 3.1 is now in Karmic.
>
> using the asus_atk0110 driver works fine now!
>
> However sensors-detect does not find it, so just need to manually add it
> to the modules file.
>
> --
> ACPI: I/O resource w83627ehf [0x295-0x296] conflicts with ACPI region HWRE
> [0x290-0x299]
> https://bugs.launchpad.net/bugs/382211
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
> Status in “linux” package in Fedora: Confirmed
>
> Bug description:
> Binary package hint: lm-sensors
>
> bruce@Xenophon:~$ uname -a
> Linux Xenophon 2.6.30-6-generic #7-Ubuntu SMP Fri May 22 05:15:10 UTC 2009
> x86_64 GNU/Linux
> bruce@Xenophon:~$ lsb_release -a
> No LSB modules are available.
> Distributor ID: Ubuntu
> Description: Ubuntu karmic (development branch)
> Release: 9.10
> Codename: karmic
> bruce@Xenophon:~$ sensors
> No sensors found!
> Make sure you loaded all the kernel drivers you need.
> Try sensors-detect to find out which these are.
>
> After running sensors-detect as root and answering all questions with
> default reply, I replied yes to add proposed extra modules automatically to
> /etc/modules.conf and also attempted to load them manually using modprobe:
>
> bruce@Xenophon:~$ sudo modprobe w83627ehf coretemp
> FATAL: Error inserting w83627ehf
> (/lib/modules/2.6.30-6-generic/kernel/drivers/hwmon/w83627ehf.ko): Unknown
> symbol in module, or unknown parameter (see dmesg)
>
> Last several lines of dmesg:
> [82597.476108] CPU0 attaching NULL sched-domain.
> [82597.476115] CPU1 attaching NULL sched-domain.
> [82597.492095] CPU0 attaching sched-domain:
> [82597.492100] domain 0: span 0-1 level MC
> [82597.492104] groups: 0 1
> [82597.492111] CPU1 attaching sched-domain:
> [82597.492114] domain 0: span 0-1 level MC
> [82597.492117] groups: 1 0
> [85415.292256] i801_smbus 0000:00:1f.3: PCI INT C -> GSI 18 (level, low) ->
> IRQ 18
> [85420.668082] i2c /dev entries driver
> [85620.177774] w83627ehf: Unknown parameter `coretemp'
>

Shaved Wookie (shavedwookie) wrote :

I'm confused.... Above, Tim wrote that 3.1 is in Karmic. I run karmic, but according to both my package manager and https://launchpad.net/ubuntu/karmic/+package/lm-sensors ,lm-sensors is still at 3.0.2 which would explain me still getting "ACPI: I/O resource piix4_smbus [0xb00-0xb07] conflicts with ACPI region SOR1 [0xb00-0xb0f]"

Tim Lunn (darkxst) wrote :

oops, my bad, I must have installed the version from the eudoxos ppa in bug 336418.

Anyway the updated lm-sensors package is required to read the data from the 'asus-atk0110' driver.

Using this driver avoids the ACPI conficts for the W83627DHG chip (on asus boards) that you get when using the native drivers.

Shaved, from your error message looks like you are using a different sensor chip/driver, which is probably unrelated to all this?

Shaved Wookie (shavedwookie) wrote :

Quite possibly. You comment assumes I have the faintest clue about any of this, which I assure you - I don't! All I know is that the message I get on boot up kinda looks like the one in this bug report.

Would you suggest I take my error and file a new bug on it?

Linards Ticmanis (ticmanis) wrote :

Still present in Karmic beta (fully updated a few minutes ago).

Shaved Wookie (shavedwookie) wrote :

Really? Mine seems to have disappeared some time over the last 2-3 days...

I still have the problem in Karmic RC.

it will not be fixed.

if you have an asus board you can use the 'asus_atk0110'

except that requires lm-sensors 3.1.1

see this bug for more details
https://bugs.launchpad.net/ubuntu/+source/lm-sensors-3/+bug/336418

On 27/10/09 17:28, Patrick Ruckstuhl wrote:
> I still have the problem in Karmic RC.
>
>

Oleksiy Lukin (alukin) wrote :

What prevents updating lm_sensors to 3.1.1 on Karmic? Sounds like someone just lazy :)

braweheart (braweheart) wrote :

They probably don't have time to upgrade the lm-sensors package two days before the release. But maybe someonecould set up a PPA with lm-sensors 3.1.1 in a near future?

Tim Lunn (darkxst) wrote :

as per the other bug I linked to above, you can find the lm-sensors 3.1.1 packages here

https://launchpad.net/~ari-tczew/+archive/ppa/+build/1166807

braweheart (braweheart) wrote :

forgot about that one, thanks.

Problem is that the new lm-sensors package is only part of it. In my case for example I'm using snmpd for the values and snmpd is still linked against the older version of lm-sensors, therefore I don't have any way to access the values anymore.

x (xyzx-deactivatedaccount) wrote :

I have a problem with my Asus P5L-MX (http://www.asus.com/product.aspx?P_ID=X70d3NCzH2DE9vWH).
The asus_atk0110 driver loads without errors and I have installed lm-sensors 3.1.1 from the ppa.
No pwmconfig won't run anymore:

=====================================
$ sudo pwmconfig
[...]
/usr/sbin/pwmconfig: There are no pwm-capable sensor modules installed
=====================================

I have copied over the /etc/fancontrol from Jaunty, but fancontrol prints out errors as well:

=====================================
$ sudo fancontrol
Loading configuration from /etc/fancontrol ...

Common settings:
  INTERVAL=10

Settings for hwmon0/device/pwm2:
  Depends on hwmon2/device/temp1_input
  Controls hwmon0/device/fan2_input
  MINTEMP=32
  MAXTEMP=47
  MINSTART=130
  MINSTOP=80
  MINPWM=60
  MAXPWM=255

Enabling PWM on fans...
/usr/sbin/fancontrol: line 232: hwmon0/device/pwm2: No such file or directory
Error enabling PWM on /sys/class/hwmon/hwmon0/device/pwm2
Aborting, restoring fans...
/usr/sbin/fancontrol: line 194: hwmon0/device/pwm2: No such file or directory
Verify fans have returned to full speed
alex@alex-desktop:/sys/class/hwmon/hwmon0$
=====================================

Hi! Affected here with my Asus M2N.

It worked perfectly in 9.04, and now broken in 9.10

I have understood that I have to include a PPA above to get 3.1.1 version of lm-sensors.

But, how can I get asus_atk0110 driver to work??

Confused!

Thanks,
^_Pepe_ ^

Ohad (ohadlevy) wrote :

you can add acpi_enforce_resources=lax to the kernel command line to restore old behavior.

dino99 (9d9) wrote :

on Lucid final release and updated:

into messages.log:

 kernel: [ 23.856240] w83627ehf: Found W83627DHG chip at 0x290
 kernel: [ 23.856268] ACPI: resource w83627ehf [0x295-0x296] conflicts with ACPI region HWRE [0x290-0x299]

into Xorg.0.log:
Open ACPI failed (/var/run/acpid.socket) (No such file or directory)

into syslog:
kernel: [ 0.381485] ACPI Warning: Incorrect checksum in table [OEMB] - 61, should be 58 (20090903/tbutils-314)

dino99 (9d9) wrote :

this error is no more logged now

Roman (m01brv) wrote :

Confirming it is still present in Lucid (after complete upgrade from today's repositories). /var/log/messages contains the same errors. And modprobe also says "Device or resource busy".

Roman (m01brv) wrote :

Adding acpi_enforce_resources=lax to the kernel command line fixes the issue indeed

dino99 (9d9) wrote :

Latest kern.log output on natty i386 A3 updated, with kernel 2.6.38-6-generic-pae on Asus p5wdh:

w83627ehf: Found W83627DHG chip at 0x290
kernel: [ 14.412495] ACPI: resource w83627ehf [io 0x0295-0x0296] conflicts with ACPI region HWRE [io 0x290-0x299]
kernel: [ 14.412498] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver

What is the kernel command line?

I added acpi_enforce_resources=lax somewhere, the boot config I think. Then I load w83627ehf

sudo modprobe w83627ehf

or add to /etc/modules and reboot.

Still doesn't work.

Alternatively I load asus_atk1001 with modprobe

It loads OK but still no sensors found.

Come on, I searched and followed the "bug" from 2007 and still not solved.

I have an old P5L-VM 1394 that is in danger of overheating. It's old but that's why I switched from dual boot to full time Ubuntu. It's much faster than Windows. It's also not possible to get the Asus Probe 2 to work in Wine.

I installed lm-sensors via Synaptic manager in Ubuntu (10.04)

uname -a
Linux loft 2.6.32-30-generic #59-Ubuntu SMP Tue Mar 1 21:30:21 UTC 2011 i686 GNU/Linux

I know it's a bug report but some easy to follow steps goes a long way. Linux is still slightly less than 1% penetration, you know.

dino99 (9d9) wrote :

latest news on natty i386:
- with latest 2.6.38 kernel: get this error
- with latest 2.6.39-rc4: dont get it

dino99 (9d9) wrote :

installed 2.6.39 rc5 generic-pae, dont get this error, seem to be fixed with latest 39 kernel

It works now after this upgrade:

Linux 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 i686 i386 GNU/Linux

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
dino99 (9d9) wrote :

latest Fedora bug comment:

Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

So launchpad status is not updated, close this report.

dino99 (9d9) wrote :

Logged again on Precise i386 A2 with 3.2.0-14-generic-pae

w83627ehf: Found W83627DHG chip at 0x290
 ACPI: resource w83627ehf [io 0x0295-0x0296] conflicts with ACPI region HWRE [io 0x290-0x299]
 ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver

siloko (siloko1) wrote :

A reboot caused this bug having previously had no problems since installation a month or so ago.

uname -a
Linux stripey 3.0.0-16-generic-pae #29-Ubuntu SMP Tue Feb 14 13:56:31 UTC 2012 i686 i686 i386 GNU/Linux

tac /var/log/kern.log | grep w83627ehf -m 2 -B 2 | tac
Mar 13 10:53:27 stripey kernel: [ 11.006306] w83627ehf: Found W83627EHG chip at 0x290
Mar 13 10:53:27 stripey kernel: [ 11.006403] ACPI: resource w83627ehf [io 0x0295-0x0296] conflicts with ACPI region HWRE [io 0x290-0x299]
Mar 13 10:53:27 stripey kernel: [ 11.006413] ACPI: This conflict may cause random problems and system instability
Mar 13 10:53:27 stripey kernel: [ 11.006421] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver

#HACK is now in force - although why it stopped working I do not know - only done as previously the system worked fine
cat /etc/default/grub | grep GRUB_CMDLINE_LINUX=
GRUB_CMDLINE_LINUX="acpi_enforce_resources=lax"

Thanks

S

siloko (siloko1) wrote :

Adding to above - I added the suggested Asus driver (asus_atk1001) with modprobe and to /etc/modules and rebooted - the module loaded fine as checked with:

lsmod | grep asus_atk1001

but no output from:

sensors

sensors-detect reports:

# sensors-detect revision 5946 (2011-03-23 11:54:44 +0100)
# System: System manufacturer System Product Name
# Board: ASUSTeK Computer Inc. P5P800

so I guess it is this board that is not working with the specified module. I reverted to the hack in the previous post to get my CPU temps back!

Thanks

S

dino99 (9d9) wrote :

ubuntu Precise i386 b2 + kernel 3.3.1

w83627ehf: Found W83627DHG chip at 0x290
ACPI Warning: 0x00000295-0x00000296 SystemIO conflicts with Region \_SB_.PCI0.SBRG.SIOR.HWRE 1 (20120111/utaddress-251)

dino99 (9d9) wrote :

***** This report need to be marked as INVALID ******

This is a BIOS issue, nothing we can do. Your BIOS requested the I/O ports of
your monitoring device for its own use, the Linux kernel is locked out.

This is all documented in the lm-sensors FAQ:
http://www.lm-sensors.org/wiki/FAQ/Chapter3#Mysensorshavestoppedworkinginkernel2.6.31

https://bugzilla.kernel.org/show_bug.cgi?id=43055
https://bugzilla.redhat.com/show_bug.cgi?id=501596

So Launchpad admin, please do it.

dino99 (9d9) on 2014-12-11
Changed in linux (Debian):
status: New → Invalid
dino99 (9d9) wrote :

Fedora status: CLOSED WONTFIX

affects: linux (Fedora) → linux (Ubuntu Linaro Evaluation Build)
Changed in linux (Ubuntu Linaro Evaluation Build):
importance: Unknown → Undecided
status: Confirmed → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.